curl --request GET \
--url https://api.embedreach.com/api/automationsimport requests
url = "https://api.embedreach.com/api/automations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"results": [
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"description": "<string>",
"isUsingDefaultTemplateCopy": true,
"emailsSent": 123,
"smsSent": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deactivatedAt": "<string>",
"pausedAt": "<string>",
"lastReleaseAt": "<string>",
"triggerType": "one_time",
"includeSegmentIds": [
"<string>"
],
"excludeSegmentIds": [
"<string>"
],
"derivedRevenue": 123,
"automationType": "managed",
"extraMergeFieldsInUse": [
{
"id": "<string>",
"type": "static",
"templateName": "<string>",
"displayName": "<string>",
"staticValue": "<string>"
}
],
"triggerMetadata": null,
"actionData": null
}
],
"pagination": {
"total": 123,
"hasNextPage": true,
"cursor": "<string>"
}
}
],
"pagination": {
"hasNextPage": true,
"cursor": "<string>",
"total": 123
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}List Tenant Automations
List all tenant automations
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Query Parameters
The cursor to start from
The limit of items to return, default is 100
[Deprecated please uses statusFilter]The status of the automation. By default we return all EXCEPT archived
draft, active, completed, archived The status(es) of the automation. Accepts a comma-separated list. By default we return all EXCEPT archived. Valid values are: draft, active, running, sending, completed, failed, cancelled, partially_cancelled, archived. 'scheduled' and 'deactivated' are accepted for backwards compatibility but return no results (statuses were removed).
An optional search query based on the name of the automation
The types of triggers for the automation (e.g. one-time versus trigger-based), An array of values in the format of 'one_time,trigger_based,date_based'